# $Revision: 1.12 $, $Date: 2011/03/01 06:28:43 $
%include	/usr/lib/rpm/macros.php
%define		_class		Crypt
%define		_subclass	HMAC2
%define		_status		stable
%define		_pearname	Crypt_HMAC2
Summary:	%{_pearname} - Implementation of Hashed Message Authentication Code for PHP5
Summary(pl.UTF-8):	%{_pearname} - implementacja kodu HMAC (Hashed Message Authentication Code) dla PHP5
Name:		php-pear-%{_pearname}
Version:	1.0.0
Release:	3
License:	New BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	a409494b0baad6da364424f1e18bcc0f
URL:		http://pear.php.net/package/Crypt_HMAC2/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.3.6
Obsoletes:	php-pear-Crypt_HMAC2-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Implementation of Hashed Message Authentication Code for PHP5. This
package may use the hash or mhash extensions when enabled to extend
the range of cryptographic hash functions beyond the natively
implemented MD5 and SHA1.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Implementacja kodu Hashed Message Authentication Code dla PHP5. Pakiet
może skorzystać z modułów hash oraz mhash w celu poszerzenia zakresu
kryptograficznych funkcji skrótu poza natywnie zaimplementowane MD5
oraz SHA1.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

rm .%{php_pear_dir}/generate_package_xml.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/Crypt_HMAC2/docs/intro.xml
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Crypt/HMAC2
%{php_pear_dir}/Crypt/HMAC2.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Crypt_HMAC2.spec,v $
Revision 1.12  2011/03/01 06:28:43  glen
- release 3

Revision 1.11  2011/01/23 01:03:04  sparky
- dropped -tests subpackage

Revision 1.10  2010/08/22 08:50:53  glen
- ensure rpmbuild macros present

Revision 1.9  2010/08/21 19:07:39  glen
- updated deps with pearize.sh
- release 2

Revision 1.8  2010/08/19 19:04:42  glen
- up to 1.0.0-stable

Revision 1.7  2009/03/28 23:27:39  areq
- 0.2.1

Revision 1.6  2008/05/24 08:41:57  adamg
- release 3 (updated PEAR deps)

Revision 1.5  2008-05-23 19:47:06  glen
- PEAR epoch

Revision 1.4  2008-05-23 19:44:13  adamg
- PEAR-core is enough

Revision 1.3  2008-01-31 12:16:05  glen
- rel 2

Revision 1.2  2008-01-01 12:48:56  witekfl
- encoded in UTF-8

Revision 1.1  2007-09-30 10:02:19  adamg
- new

